// Location.cpp : Implementation of cLocation
#include "stdafx.h"
#include "DecalFilters.h"
#include "Location.h"

/////////////////////////////////////////////////////////////////////////////
// cLocation


STDMETHODIMP cLocation::get_Landblock(long *pVal)
{
   if (pVal == NULL) {
      _ASSERT(FALSE);
      return E_POINTER;
   }

	*pVal = m_dwLandblock;
	return S_OK;
}

STDMETHODIMP cLocation::Offset(float *x, float *y, float *z)
{
	*x = m_fxOffset;
	*y = m_fyOffset;
	*z = m_fzOffset;
	return S_OK;
}

STDMETHODIMP cLocation::Heading(float *x, float *y, float *z, float *w)
{
	*x = m_fxHeading;
	*y = m_fyHeading;
	*z = m_fzHeading;
	*w = m_fwHeading;
	return S_OK;
}
